using System;

namespace PecinaA
{
    internal class Program
    {
        static void Main()
        {
            int[] input;
            input = InputRead();
            int N = input[0], L = input[1];
            int[] Hi = InputRead();
            for (int i = 0; i < N; i++)
            {
                if (Hi[i] <= L)
                {
                    Console.Write(i+1);
                    return;
                }
            }
            Console.Write(-1);
        }
        static int[] InputRead()
        {
            string[] input = Console.ReadLine().Split(' ');
            int[] output = new int[input.Length];
            for (int i = 0; i < input.Length; i++)
                output[i] = int.Parse(input[i]);
            return output;
        }
    }
}